Package org.apache.uima

# Class Constants

java.lang.Object
org.apache.uima.Constants

public abstract class Constants extends Object
Some constants used by the UIMA framework.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CPP_FRAMEWORK_NAME`
  Name of the UIMA C++ framework, to be used in <frameworkImplementation> element of descriptors.
  `static final String`
  `JAVA_FRAMEWORK_NAME`
  Name of the UIMA Java framework, to be used in <frameworkImplementation> element of descriptors.
  `static final String`
  `PROTOCOL_JMS`
  A constant indicating the name of the "JMS" protocol for service communication.
  `static final String`
  `PROTOCOL_MAIL`
  A constant indicating the name of the "Mail" protocol for service communication.
  `static final String`
  `PROTOCOL_MQ`
  A constant indicating the name of the "MQ" protocol for service communication.
  `static final String`
  `PROTOCOL_SOAP`
  Deprecated.
  SOAP protocol is no longer supported since UIMA v3.3.0.
  `static final String`
  `PROTOCOL_SOAP_WITH_ATTACHMENTS`
  Deprecated.
  SOAP protocol is no longer supported since UIMA v3.3.0.
  `static final String`
  `PROTOCOL_VINCI`
  A constant indicating the name of the "VINCI" protocol for service communication.
  `static final String`
  `PROTOCOL_VINCI_BINARY_CAS`
  A constant indicating the name of the "VINCI" protocol, using binary CAS serialization, for service communication.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROTOCOL_SOAP

    @Deprecated public static final String PROTOCOL_SOAP
    Deprecated.
    SOAP protocol is no longer supported since UIMA v3.3.0. Constant to be removed in UIMAv4.
    A constant indicating the name of the "SOAP" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_SOAP_WITH_ATTACHMENTS

    @Deprecated public static final String PROTOCOL_SOAP_WITH_ATTACHMENTS
    Deprecated.
    SOAP protocol is no longer supported since UIMA v3.3.0. Constant to be removed in UIMAv4.
    A constant indicating the name of the "SOAP with Attachments" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VINCI

    public static final String PROTOCOL_VINCI
    A constant indicating the name of the "VINCI" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_VINCI_BINARY_CAS

    public static final String PROTOCOL_VINCI_BINARY_CAS
    A constant indicating the name of the "VINCI" protocol, using binary CAS serialization, for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_MQ

    public static final String PROTOCOL_MQ
    A constant indicating the name of the "MQ" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_MAIL

    public static final String PROTOCOL_MAIL
    A constant indicating the name of the "Mail" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### PROTOCOL_JMS

    public static final String PROTOCOL_JMS
    A constant indicating the name of the "JMS" protocol for service communication.
    See Also:
      - Constant Field Values

  - ### JAVA_FRAMEWORK_NAME

    public static final String JAVA_FRAMEWORK_NAME
    Name of the UIMA Java framework, to be used in <frameworkImplementation> element of descriptors.
    See Also:
      - Constant Field Values

  - ### CPP_FRAMEWORK_NAME

    public static final String CPP_FRAMEWORK_NAME
    Name of the UIMA C++ framework, to be used in <frameworkImplementation> element of descriptors.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()